<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GM::LightingUI" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GM\Theme1\DialogLighting.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="14" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="14" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | TBS_HORZ | TBS_BOTH | TBS_TOOLTIPS | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GM::LightingUI" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GM::LightingUI"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::LightingUI"/>	
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->
					<VirtualBox X="860" Y="25">
						<ColumnLayout ColSpace="20">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_Skin">
								<Image File="Image\GM\Theme1\button_setting_normal.png"/>
								<Image File="Image\GM\Theme1\button_setting_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_Min">
								<Image File="Image\GM\Theme1\button_min_normal.png"/>
								<Image File="Image\GM\Theme1\button_min_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_Close">
								<Image File="Image\GM\Theme1\button_close_normal.png"/>
								<Image File="Image\GM\Theme1\button_close_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>

					<!--Category Panel-->
					<ImageBox X="15" Y="230" SizeToImage="1" ID="GM::ID_LIGHT_CategoryTab_0" File="Image\GM\Theme1\category_mouse_active.png"/>
					<ImageList X="15" Y="320" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_CategoryTab_1">
						<Image File="Image\GM\Theme1\category_keyboard_normal.png"/>
						<Image File="Image\GM\Theme1\category_keyboard_over.png"/>
					</ImageList>
					<ImageList X="15" Y="400" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_CategoryTab_2">
						<Image File="Image\GM\Theme1\category_light_control_normal.png"/>
						<Image File="Image\GM\Theme1\category_light_control_over.png"/>
					</ImageList>
					
					<ImageList Visible="0" X="23" Y="190" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_SyncLED">
						<Image File="Image\GM\Theme1\button_syncLED_normal.png"/>
						<Image File="Image\GM\Theme1\button_syncLED_over.png"/>
						<Image File="Image\GM\Theme1\button_syncLED_disable.png"/>
					</ImageList>

					<!--Switch Panel-->
					<ImageList X="307" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_PanelTab_0">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="436" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_PanelTab_1">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="565" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_PanelTab_2">
						<Image File="Image\GM\Theme1\tab_normal.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>
					<ImageList X="694" Y="35" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_PanelTab_3">
						<Image File="Image\GM\Theme1\tab_inactive.png"/>
						<Image File="Image\GM\Theme1\tab_over.png"/>
					</ImageList>

					<Label X="307" Y="50" Width="144" Text="基本設置" FontHeight="16" FGColor="#969b9b" ID="GM::ID_LIGHT_TabLabel_Basic"/>
					<Label X="436" Y="50" Width="144" Text="進階設置" FontHeight="16" FGColor="#969b9b" ID="GM::ID_LIGHT_TabLabel_Advanced"/>
					<Label X="565" Y="50" Width="144" Text="背光" FontHeight="16" FGColor="#ffaa00" ID="GM::ID_LIGHT_TabLabel_Lighting"/>
					<Label X="694" Y="50" Width="144" Text="巨集" FontHeight="16" FGColor="#969b9b" ID="GM::ID_LIGHT_TabLabel_MacroUI"/>

					<!--Profiles-->
					<VirtualBox X="28" Y="27">
						<RowLayout RowSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_Profile_0">
								<Image File="Image\GM\Theme1\button_profile_normal.png"/>
								<Image File="Image\GM\Theme1\button_profile_over.png"/>
							</ImageList>
						</RowLayout>
					</VirtualBox>
					<VirtualBox X="28" Y="32">
						<RowLayout RowSpace="6">
							<Label FontHeight="20" Width="253" Height="20" FGColor="#ffffff" ID="GM::ID_LIGHT_ProfileLabel_0"/>
						</RowLayout>
					</VirtualBox>

					<!--Light switch-->
					<ImageList X="700" Y="105" Active="0" SizeToImage="1" ID="GM::ID_LIGHT_Switch">
						<Image File="Image\GM\Theme1\gamingmode_off.png"/>
						<Image File="Image\GM\Theme1\gamingmode_on.png"/>
					</ImageList>
					<VirtualBox X="700" Y="105" Width="140" Height="22">
						<ColumnLayout ColWidth="equal" ColAlignV="center">
							<Label Text="開啟" FGColor="#ffffff" ID="GM::ID_LIGHT_OnLabel"/>
							<Label Text="關閉" FGColor="#ffffff" ID="GM::ID_LIGHT_OffLabel"/>
						</ColumnLayout>
					</VirtualBox>

					<!--Mode label-->
					<Label X="235" Y="105" Width="410" AddHeight="5" Text="呼吸" FontHeight="20" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GM::ID_LIGHT_ModeLabel"/>
					<!--Label X="660" Y="105" Width="100" Text="LED同步" FontHeight="20" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GM::ID_LIGHT_SyncLEDLabel"/-->
					
					<!--Lighting panel subtitle-->
					<Label Visible="1" X="235" Y="197" Width="100" Text="顏色" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GM::ID_LIGHT_Subtitle_Color"/>
					<!--Label Visible="0" X="235" Y="197" Width="100" Text="方向" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GM::ID_LIGHT_Subtitle_Direction"/-->

					<Label Visible="1" X="235" Y="334" Width="100" Text="速度" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GM::ID_LIGHT_Subtitle_Speed"/>
					<Label Visible="0" X="235" Y="334" Width="100" Text="延遲時間" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GM::ID_LIGHT_Subtitle_Duration"/>

					<Label Visible="1" X="235" Y="451" Width="100" Text="亮度" FontHeight="20" FontBold="1" FGColor="#ffffff" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT" ID="GM::ID_LIGHT_Subtitle_Brightness"/>

					<!--Brightness slider-->
					<VirtualBox X="280" Y="500" Width="507" Height="20">
						<ColumnLayout>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_0">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_1">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_2">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_3">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_4">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_5">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_6">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_7">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_8">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_9">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_10">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_11">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_12">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_13">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_14">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_BrightnessSlider_15">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="210" Y="530" Width="650" Height="30">
						<ColumnLayout ColWidth="equal">
							<Label Text="關閉" FGColor="#ffffff" ID="GM::ID_LIGHT_BrightnessLabel_Close"/>
							<Label Text="微亮" FGColor="#ffffff" ID="GM::ID_LIGHT_BrightnessLabel_Small"/>
							<Label Text="正常" FGColor="#ffffff" ID="GM::ID_LIGHT_BrightnessLabel_Mid"/>
							<Label Text="明亮" FGColor="#ffffff" ID="GM::ID_LIGHT_BrightnessLabel_Large"/>
						</ColumnLayout>
					</VirtualBox>
					
					<!--Speed slider-->
					<VirtualBox X="280" Y="380" Width="507" Height="20">
						<ColumnLayout>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_0">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_1">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_2">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_3">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_4">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_5">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_6">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_7">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_8">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_9">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_10">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_11">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_12">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_13">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_14">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
							<ImageList Active="0" Width="32" Height="25" ID="GM::ID_LIGHT_SpeedSlider_15">
								<Image File="Image\GM\Theme1\lighting_slider_dark_16.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_16.png"/>
							</ImageList>							
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="280" Y="410" Width="507" Height="30">
						<ColumnLayout ColWidth="equal">
							<Label Text="慢" FGColor="#ffffff" ID="GM::ID_LIGHT_SpeedLabel_Slow" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label Text="快" FGColor="#ffffff" ID="GM::ID_LIGHT_SpeedLabel_Fast" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_RIGHT"/>
						</ColumnLayout>
					</VirtualBox>
					
					<!--Duration slider-->
					<VirtualBox X="280" Y="380" Width="506" Height="20">
						<ColumnLayout>
							<ImageList Visible="0" Active="0" Width="170" Height="25" ID="GM::ID_LIGHT_DurationSlider_0">
								<Image File="Image\GM\Theme1\lighting_slider_dark_3.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_3.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="170" Height="25" ID="GM::ID_LIGHT_DurationSlider_1">
								<Image File="Image\GM\Theme1\lighting_slider_dark_3.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_3.png"/>
							</ImageList>
							<ImageList Visible="0" Active="0" Width="170" Height="25" ID="GM::ID_LIGHT_DurationSlider_2">
								<Image File="Image\GM\Theme1\lighting_slider_dark_3.png"/>
								<Image File="Image\GM\Theme1\lighting_slider_light_3.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="280" Y="410" Width="506" Height="30">
						<ColumnLayout ColWidth="equal">
							<Label Visible="0" Text="短" FFGColor="#ffffff" ID="GM::ID_LIGHT_DurationLabel_Short" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
							<Label Visible="0" Text="中" FFGColor="#ffffff" ID="GM::ID_LIGHT_DurationLabel_Mid"/>
							<Label Visible="0" Text="長" FFGColor="#ffffff" ID="GM::ID_LIGHT_DurationLabel_Long" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_RIGHT"/>
						</ColumnLayout>
					</VirtualBox>

					<!--Custom mode controller-->
					<!--ImageList Visible="1" X="410" Y="253" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_Configurator">
						<Image File="Image\GM\Theme1\lighting_configurator_normal.png"/>
						<Image File="Image\GM\Theme1\lighting_configurator_over.png"/>
					</ImageList>
					<LinkCtrl X="490" Y="278" Width="100" Text="&lt;a href=&quot;&quot;&gt;配置器&lt;/a&gt;" BGTrans="0" FontHeight="20" BGColor="000000"  ID="GM::ID_LIGHT_ConfiguratorLink"/-->
			
					<!--Breathing mode controller-->
					<!--ImageList Visible="1" X="410" Y="275" Active="0" SizeToImage="1" ID="GM::ID_LIGHT_Enable_Color2">
						<Image File="Image\GM\Theme1\checkbox_none_dpi.png"/>
						<Image File="Image\GM\Theme1\checkbox_checked_dpi.png"/>
					</ImageList>
					<Label Visible="1" X="435" Y="275" Width="120" Text="啟用顏色 2" FontHeight="20" FGColor="#ffffff" ID="GM::ID_LIGHT_EnableColor2Label" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/-->
				
					<Label Visible="1" X="280" Y="240" Width="100" Text="顏色 1" FGColor="#ffffff" ID="GM::ID_LIGHT_ColorLabel_1" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<Label Visible="1" X="280" Y="260" Width="40" Height="40" BGColor="#00ff00" ID="GM::ID_LIGHT_Color_1" FontHeight="40" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER"/>
					<ImageBox Visible="0" X="280" Y="260" SizeToImage="1" ID="GM::ID_LIGHT_Disable_Color_1" BGColor="#000000" File="Image\GM\Theme1\lighting_color_disable.png"/>
					<ImageBox Visible="1" X="320" Y="260" SizeToImage="1" ID="GM::ID_LIGHT_ColorPicker_1" BGColor="#000000" File="Image\GM\Theme1\lighting_colorpicker.png"/>
					
					<ImageList Visible="1" X="420" Y="240" Active="0" Width="25" Height="16" ID="GM::ID_LIGHT_Enable_Color2">
						<Image File="Image\GM\Theme1\checkbox_none_enable_color2.png"/>
						<Image File="Image\GM\Theme1\checkbox_checked_enable_color2.png"/>
					</ImageList>
					<Label Visible="1" X="440" Y="240" Width="40" Text="顏色 2" FGColor="#ffffff" ID="GM::ID_LIGHT_ColorLabel_2" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<Label Visible="1" X="420" Y="260" Width="40" Height="40" BGColor="#0000ff" ID="GM::ID_LIGHT_Color_2" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageBox Visible="0" X="420" Y="260" SizeToImage="1" ID="GM::ID_LIGHT_Disable_Color_2" BGColor="#000000" File="Image\GM\Theme1\lighting_color_disable.png"/>
					<ImageBox Visible="1" X="460" Y="260" SizeToImage="1" ID="GM::ID_LIGHT_ColorPicker_2" BGColor="#000000" File="Image\GM\Theme1\lighting_colorpicker.png"/>
					<Label Visible="0" ID="GM::ID_LIGHT_Color2OnColor" FGColor="#ffffff"/>
					<Label Visible="0" ID="GM::ID_LIGHT_Color2OffColor" FGColor="#3c3c3c"/>
					
					<ImageList Visible="1" X="550" Y="270" Active="0" SizeToImage="1" ID="GM::ID_LIGHT_RandomColor">
						<Image File="Image\GM\Theme1\checkbox_none.png"/>
						<Image File="Image\GM\Theme1\checkbox_checked.png"/>
					</ImageList>
					<Label Visible="1" X="575" Y="270" Width="200" Text="隨機顏色" FontHeight="20" FGColor="#ffffff" ID="GM::ID_LIGHT_RandomColorLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>

					<!--Wave mode controller-->
					<!--VirtualBox X="410" Y="248" Width="500" Height="30">
						<ColumnLayout ColSpace="30">
							<ImageList  Visible="0" Active="0" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_Wave_Left">
								<Image File="Image\GM\Theme1\lighting_wave_left_inactive.png"/>
								<Image File="Image\GM\Theme1\lighting_wave_left_inactive_over.png"/>
								<Image File="Image\GM\Theme1\lighting_wave_left_active.png"/>
							</ImageList>
							<ImageList  Visible="0" Active="2" OnOverActive="1" SizeToImage="1" ID="GM::ID_LIGHT_Wave_Right">
								<Image File="Image\GM\Theme1\lighting_wave_right_inactive.png"/>
								<Image File="Image\GM\Theme1\lighting_wave_right_inactive_over.png"/>
								<Image File="Image\GM\Theme1\lighting_wave_right_active.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox-->

					<!--Explosion mode controller-->
					<!--Reactive mode controller-->
					<!--Spectrum mode setting controller-->

					<!--invisible widget: lighting mode list-->
					<ListBox Visible="0" X="230" Y="134" Width="410" Height="68" ID="GM::ID_LIGHT_ModeList" TrackMouse="1">
						<Item>呼吸</Item>
						<Item>反應</Item>
						<Item>光譜循環</Item>
						<Item>靜態</Item>
						<Item>心跳</Item>
					</ListBox>

					<!--None effect background-->
					<ImageBox Visible="0" X="215" Y="217" SizeToImage="1" Style="WS_CHILD | WS_VISIBLE" ID="GM::ID_LIGHT_NoneEffect" File="Image\GM\Theme1\light_none_effect.png"/>

					<!--Logo-->
					<ImageBox X="20" Y="20" SizeToImage="1" ID="GM::ID_LIGHT_Logo_TopLeft" File="Image\GM\Theme1\logo_top_left.png"/>
					<ImageBox X="800" Y="615" SizeToImage="1" ID="GM::ID_LIGHT_Logo_BottomRight" File="Image\GM\Theme1\logo_bottom_right.png"/>
				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GM::LightingUI" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::SkinDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::MacroEditDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::ConfiguratorDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::LightingPaletteDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::ProfileDialog"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GM::LightingUI" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GM::LightingUI"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GM::LightingUI"/>
		</Plugin>
	</ExtensionPoint>
</File>
